package com.clx.performance.sqlProvider.collect;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.param.app.collect.PageCollectTraficCongestionParam;
import com.clx.performance.vo.app.collect.CollectTrafficCongestionVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.jdbc.SQL;

public class CollectTrafficCongestionSqlProvider {

    public String pageTraffic(@Param("page") Page<CollectTrafficCongestionVO> page, @Param("param") PageCollectTraficCongestionParam param) {
        return new SQL(){{
            SELECT(" id, user_no as userNo, name, mobile, " +
                    " truck_no as truckNo, " +
                    " province, city, county, town, street, address, " +
                    " longitude, latitude, " +
                    " jam_time as jamTime, jam_image as jamImage, " +
                    " date_format(report_time, '%Y-%m-%d %H:%i:%s') as reportTime, " +
                    " date_format(create_time, '%Y-%m-%d %H:%i:%s') as createTime, " +
                    "date_format(modified_time, '%Y-%m-%d %H:%i:%s') as modifiedTime "
            );
            FROM("collect_traffic_congestion ");
            WHERE("user_no = #{param.userNo} ");

            ORDER_BY("create_time desc");
        }}.toString();
    }



}
